Skip to main content
`Ctrl`+`K`

# numpy.ufunc.types

attribute

ufunc.types

  Returns a list with types grouped input->output.

  Data attribute listing the data-type “Domain-Range” groupings the ufunc can deliver. The data-types are given using the character codes.

  See also

  `numpy.ufunc.ntypes`

  Examples

      >>> import numpy as np
      >>> np.add.types
      ['??->?', 'bb->b', 'BB->B', 'hh->h', 'HH->H', 'ii->i', 'II->I', ...

      >>> np.power.types
      ['bb->b', 'BB->B', 'hh->h', 'HH->H', 'ii->i', 'II->I', 'll->l', ...

      >>> np.exp.types
      ['e->e', 'f->f', 'd->d', 'f->f', 'd->d', 'g->g', 'F->F', 'D->D', 'G->G', 'O->O']

      >>> np.remainder.types
      ['bb->b', 'BB->B', 'hh->h', 'HH->H', 'ii->i', 'II->I', 'll->l', ...